commit c05c6d918b0e2011d4bfa370c321482e34630b17
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 30 21:36:16 2021 -0700

    libXres 1.2.1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 53581bba3ee20671e6e5ab7c743bfbf6ffbe6974
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 30 21:05:48 2021 -0700

    Note ABI of XResQueryClientIds
    
    XResQueryClientIds is now documented to return an array of 32-bit
    values, not an array of longs. The previous implementation allocated
    space for 32-bit values but read longs into that, overflowing the
    array. Applications using this were expecting 32-bit values.
    
    This "worked" on little endian 64-bit systems because only one value
    was typically provided and the low 32-bits got stuck in the right
    place, although the allocation was overrun at the end. That might
    cause trouble if the allocator is checking carefully.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3e6bdd90c604e061c71715865eb403ffdd0dd7f0
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Oct 21 10:03:23 2020 -0400

    XRes: Use _XRead instead of _XRead32 for reading pid
    
    _XRead32 requires the output variable to be a long, but
    `ReadClientValues` feeds it client->value which is a
    32-bit allocation.
    
    This commit changes the code to use _XRead instead, which
    properly handles 32-bit output variables.
    
    https://gitlab.freedesktop.org/xorg/lib/libxres/-/issues/3

commit 97d312e5fd9b4b97e3f50c899a40325768f246a5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:49:47 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a90ff752cfe4020c323d927fe856e91c49abbc93
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 21:27:37 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 84b9156c7833dfd91c65d33542420ff4fe226948
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Oct 11 11:11:01 2017 -0400

    libXRes 1.2.0
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 1bc34457619c0d9b94ebd1cadac53366da20fbe3
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit e5fbb99729d460eda477bf6e299728bc47542ccb
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 16b2d184302d259a8481693285976045386fcc01
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit ae0ddaa9c960aee1b7845da01270b00177f95f3d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 22 23:22:36 2013 -0800

    Remove fallback for _XEatDataWords, require libX11 1.6 for it
    
    _XEatDataWords was orignally introduced with the May 2013 security
    patches, and in order to ease the process of delivering those,
    fallback versions of _XEatDataWords were included in the X extension
    library patches so they could be applied to older versions that didn't
    have libX11 1.6 yet.   Now that we're past that hurdle, we can drop
    the fallbacks and just require libX11 1.6 for building new versions
    of the extension libraries.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0f5cfdc3136dd8ef43800bda64f9d39e6b23b2e9
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Jun 30 20:09:49 2013 +0200

    Compute number of bytes correctly in XResQueryClientPixmapBytes
    
    64-bit servers send the upper 32-bit in bytes_overflow.  We were
    multiplying by 2^32 - 1 instead of 2^32 when putting things back
    together.
    
    Debian bug#621702
    
    Reported-by: Kevin Ryde <user42@zip.com.au>
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f468184963e53feda848853c4aefd0197b2cc116
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 12 23:36:13 2013 -0700

    integer overflow in XResQueryClientResources() [CVE-2013-1988 2/2]
    
    The CARD32 rep.num_types needs to be bounds checked before multiplying
    by sizeof(XResType) to avoid integer overflow leading to underallocation
    and writing data from the network past the end of the allocated buffer.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b053d215b80e721f9afdc5794e4f3f4f2aee0141
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 12 23:36:13 2013 -0700

    integer overflow in XResQueryClients() [CVE-2013-1988 1/2]
    
    The CARD32 rep.num_clients needs to be bounds checked before multiplying
    by sizeof(XResClient) to avoid integer overflow leading to underallocation
    and writing data from the network past the end of the allocated buffer.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 69457711050ac3a53859ef11790a7ac815cd7d94
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 10:34:22 2013 -0700

    Use _XEatDataWords to avoid overflow of rep.length shifting
    
    rep.length is a CARD32, so rep.length << 2 could overflow in 32-bit builds
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 83e7693515369d57dcd11c2bb1f03563f51bc500
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 18 23:06:20 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d9324b7d07294bb18e4902596a1b8ee387188364
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6d1f115422cde2bfca4b69caa395345f3ac454e7
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit f44f4e265ec3ab7ef87d6d7009ec079ba4c49336
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 23 18:57:48 2012 -0700

    Bump version to 1.1.99.0 to reflect addition of 1.2 API
    
    As noted in configure.ac comment, we try to keep library version
    based on the protocol version number, so since the protocol skipped
    to 1.2, we'll do that with the library as well for simplicity's sake.
    
    Sets resourceproto requirement to version 1.2.0 since there were no
    intermediate/snapshot versions between 1.1.2 & 1.2.0.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01fc6f81f0a2935741dd1114aa3fa267d8be9095
Author: Erkki Seppälä <erkki.seppala@vincit.fi>
Date:   Wed Dec 15 13:48:09 2010 +0200

    Implemented second part of XResource extension v1.2: XResQueryResourceBytes
    
    Signed-off-by: Erkki Seppälä <erkki.seppala@vincit.fi>
    Reviewed-by: Rami Ylimäki <rami.ylimaki@vincit.fi>
    Reviewed-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0f38938a27df1f865dcdda35f4d2ef191092ba42
Author: Erkki Seppälä <erkki.seppala@vincit.fi>
Date:   Mon Nov 29 12:43:51 2010 +0200

    Implemented first part of XResource extension v1.2: XResQueryClientIds
    
    Signed-off-by: Erkki Seppälä <erkki.seppala@vincit.fi>
    Reviewed-by: Rami Ylimäki <rami.ylimaki@vincit.fi>
    Reviewed-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e6e0e02e4bf764fa58798540793bdeb44a60cc7f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 20:53:56 2012 -0800

    libXres 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 96c59e1c7c61d7e42b8da5ddbe9af1a12567fd47
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 10 21:40:51 2011 -0800

    Fix gcc -Wwrite-strings warning
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fb6002c5736eda80a8ae1df46626862ca53a1c25
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:52:12 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 455c02ee9143b2bfbfd99b6481a1b22a0ce2a2bf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:40 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit ecb0cb424a93e7de7671353d9514a8bf193ad678
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 34e906a430185bd4debc00606321980ac25737db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 16:34:14 2011 -0500

    config: remove unrequired AC_CONFIG_AUX_DIR
    
    The default location for the generation of configuation files is the current
    package root directory. These files are config.* and friends.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2f16931c01e667a24210b3a76c50c5d5fe46e314
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:15 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1cb91aaf819ae3c9385c130e4fa0146057c4c89b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 28 16:21:39 2010 -0700

    libXres 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 564236eb299eb9224f4f09c7bda5bebc987c8af9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 28 16:19:46 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f00517c478c6e34afd7d1e1477554156d36baf0e
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:30:02 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c8bbca66bc1cf75ca01c66901605549dc780def6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 17 08:39:22 2010 -0400

    man: store shadow man pages in git rather than generating them
    
    Simplify the build process and the makefile.
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b4975daf8c85eda619da1cb6f1584876786feaaa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 8 14:55:32 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d2a60612f4a9f50830d3c62780fe74507a8c82ad
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:03:29 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f0c0c4e6d50c65b7da6f72404796c25f860a3198
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:33 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit eca8fc252af729453a2db8218fcfe3a686ba3df5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ceaddfbd0f55c4863bed9c42fcce1fad0348ad19
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 17eeac2a9218f5d22c71d18eee9ec1fe64bdbf5a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 21:12:39 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 79251c2f41643ba06d0fd706ea4116f7924ddefa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:03 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 1f393e74c3dd55c3422804cac98716f1e7e35d85
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 15:08:51 2009 -0400

    configure.ac: AM_MAINTAINER_MODE missing #24238
    
    This turns off maintainer mode build rules in tarballs.
    Works in conjunction with autogen.sh --enable-maintainer-mode
    For all X.Org components.

commit c4f650e235c4cb286377792b836a551e9b63a0e5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit a8ab75d941ebf3fe83832c990dd7e5f75dc0971b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:42 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 24890a580d43d2224f6f7074c1e3cb2072536d81
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit c34ef112fa1b20ee65a6b287759e899bca2c5823
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:23 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 08032a51fccda19ad4722015f4cc0b1a587592f7
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 9 07:54:44 2009 -0700

    libXres 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 619eec21134a0ca9a8adb92383a05deea05b768d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 23:48:41 2009 -0700

    XRes.man: Fix typo, improve wording, drop RCS tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e854448a9bfcdfdeb6262b89a93bcbe8bcd7545c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 23:39:04 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 1805655654217830ae943806e6a7d653cdc48047
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:31 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 13ee4d00a06421dfb5ee613cbd99a3111135c379
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Jan 30 16:56:38 2009 -0200

    Janitor: Correct make distcheck and remove extra .gitignore files.

commit 168153d1e7d196ca46c5b2e286fcf7e7793f2804
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 17:53:23 2008 +0930

    Rename parameters to clarify QueryVersion/QueryExtension.
    
    These parameters are not treated as input. Rename them to make the inner
    workings slightly more obvious.
    
    X.Org Bug 14511 <http://bugs.freedesktop.org/show_bug.cgi?id=14511>

commit 5d2e4b05ff988a0f941aa78e62857791ae2d56aa
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 00:19:31 2008 +0100

    nuke RCS Ids

commit a4323e1bb491cbfc5b5090311cc16c805b9dd7d6
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:14 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 04381b5f703975ffa6514d474f5fe31bc76540c4
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:53:33 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 322797ec5679919b8616c17c51492b2d596efecb
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:29:45 2006 +0200

    bump to 1.0.3

commit 6a2f43119d483c1ad47b99ddec61bebcb218b534
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 18:58:35 2006 +0200

    Makefile.am: make ChangeLog hook as safe as possible

commit ec347de8a81e7af3a9b9155a9dbf703294cdfc77
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 16:28:28 2006 -0400

    Bump to 1.0.2

commit a5608546e433a829a0d17e2b60ac196e044dde94
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Thu Oct 12 20:14:37 2006 -0400

    Fix the ChangeLog hook to distcheck.

commit ed20661748b0070771116861972f5d1f00b45ed1
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jul 29 20:23:07 2006 +0200

    Remove ChangeLog, add a rule to generate it with git-log.

commit 5faf9733ca4b632ec9a3640b00186b48052b3c03
Author: Federico G. Schwindt <fgsch@openbsd.org>
Date:   Sat Jul 29 20:12:01 2006 +0200

    Typo in path to XRes.h

commit cf9bc567fbbafc57348abb7e398729d40f566e3d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:46 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 405d6e8e7e9918a86a40e78a2baf7a1f20b86d6d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:22:20 2006 +0000

    Bump to 1.0.1

commit f49ba1035cf9e8f7cc8a9c44162e5a95d692d446
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 19:26:13 2006 +0000

    Bug #6407: Cygwin build fix. (Yaakov Selkowitz)

commit d7d53b5a5b6efc54b405006103fce1721853aa02
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Feb 12 18:19:20 2006 +0000

    Bug #5628 <https://bugs.freedesktop.org/show_bug.cgi?id=5628> Shadow pages
        not created correctly when MANDIR & MANSUFFIX don't match.

commit 4cfcdcae80e4e54c40cafcde1f7d341c0a9eccf5
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:28 2005 +0000

    Update package version number for final X11R7 release candidate.

commit d65c058cb0e8cc6f1bc657a5afbf728b446c0c77
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:42 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 9e37dcb3199b4c0013dcf1acc95bf9f194622e83
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:42 2005 +0000

    Update package version number for X11R7 RC3 release.

commit f84239e6f526a4b52158c4670da8d1bd02d527f2
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:48 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit f125e444a022300ae4aa69db2d209cc3c2fbbe0b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:03:04 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 110fc9c3da409c53f2d6f638d0a137c29559cd32
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:40 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit c6674701dade763eb2d3380755b4c23f47fa6cdb
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:12 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 3e53ff688524152ea26436b9a5797d9a10647844
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:11:50 2005 +0000

    Update pkgcheck dependencies to work with separate build roots.

commit c9df69c6197623623d5c7d444181cfaddb9b23bb
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:08 2005 +0000

    Update package version number for RC1 release.

commit b9bf386000f448f3ba559ea435840648a6b202f0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:00:08 2005 +0000

    Use @LIB_MAN_SUFFIX@ instead of $(LIB_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit f6248446b56651ad08ef9ae036f3d266d5a1d108
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 21:13:15 2005 +0000

    Rename .shadows.DONE to shadows.DONE to avoid some make's thinking it's a
        suffix rule (reported by Matthieu Herrb)

commit 67f04ddabfdda0d8c69c8f251eab631e4b6585e4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 04:25:46 2005 +0000

    Add generated man pages to .cvsignores

commit 1192ba3d6749837a501db95014c71f1d801b3bae
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 01:44:46 2005 +0000

    Use sed to fill in variables in man page Add shadow man pages for man pages
        that document multiple functions.

commit 8eb24cbd838af67ffe96b074dc66cfff3f12ada4
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:50 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 4b937bf0b80d1e7520beda11e5958858c1d8be63
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 06:28:05 2005 +0000

    Set soversion to 1.0.0 using -version-number.

commit 4e618f40eedcb5f8b3e2e1e32cb055a65af52961
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 12 06:07:58 2005 +0000

    Bump soversion to 1.0.0.

commit c38c5edc353971b2ca6b3d2b55288b88cd46de5b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:03:13 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit c1ed34d39740625d52eca7f2c5bf5c6797f28097
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jun 22 22:46:38 2005 +0000

    Apply these patches from Theo van Klaveren:
    lib-dmx.patch lib-FS.patch lib-X11.patch lib-XRes.patch
        lib-XScrnSaver.patch lib-xtrans.patch
    to make the libraries distcheck.

commit 2dbb8e41c6accaf9d86f3fdadfed5aea330da1fd
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jun 14 17:31:59 2005 +0000

    XRes/src/Makefile.am: Add $(top_srcdir)/include to INCLUDES

commit a30727351e6cdeb7ff2ffa0bddad8c3a1be9eda0
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jun 7 18:51:23 2005 +0000

    - symlink.sh: Move XRes.h from proto/Resource to
        lib/XRes/include/X11/extensions
    - symlink.sh: Add XRes linking
    - xc/lib/XRes/*.c: conditionally include config.h
    - lib/XRes: add directories and build system.

commit e47da1b068cd9b8a772a99e30b2c1d5271d4295e
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:36 2004 +0000

    Merging XORG-CURRENT into trunk

commit 5597850916b8c24c6d430fcac50c88b2d97a6f01
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:00 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 247bcd0cd4b6f288ebe950933aee57c8c429268d
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:19 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 16b6e9a93ba18983468ce7e4e58eea4a1e46adf1
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:30 2004 +0000

    readding XFree86's cvs IDs

commit 559e2ccbe7259e3cff4614c97a8b730bd9dafac2
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:39 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit c783cd6e35b7a7770b16518060b5cc970c9b3d0d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:54:31 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit 2dc3bb158d8859d529dce8c88066a7570351319d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:09 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 345fbee57dc02964c90e8e232cb9274860276d27
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:09 2003 +0000

    Initial revision

commit 8379290050be8b8fcbdcc74e11cebbc637ff96ba
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:47 2003 +0000

    XFree86 4.3.0.1

commit 0ee742ac9989d710dafc982a212768d8311f80ff
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:47 2003 +0000

    Initial revision
